cURL
curl --request POST \ --url https://api.mpcvault.com/v1/getWalletInfo \ --header 'Content-Type: application/json' \ --header 'x-mtoken: <api-key>' \ --data ' { "address": "<string>" } '
{ "details": { "vaultUuid": "<string>", "keyType": "KEY_TYPE_UNSPECIFIED", "keyPath": "<string>", "publicKey": "aSDinaTvuI8gbWludGxpZnk=", "networkType": "NETWORK_TYPE_UNKNOWN", "address": "<string>", "ref": "<string>", "status": "STATUS_UNSPECIFIED", "name": "<string>" }, "error": { "executeSigningRequestsErrorCode": "EXECUTE_SIGNING_REQUESTS_ERROR_CODE_UNSPECIFIED", "message": "<string>" } }
Get a single wallet by address or customer reference.
address
ref
Your API token. Required for all API requests.
comment:address is the address of the wallet in the network.
Success
Show child attributes
Was this page helpful?